from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(300, 200)
        MainWindow.setMinimumSize(QtCore.QSize(300, 200))
        MainWindow.setMaximumSize(QtCore.QSize(300, 200))
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.labelCreateSchedule = QtWidgets.QLabel(self.centralwidget)
        self.labelCreateSchedule.setObjectName("labelCreateSchedule")
        self.verticalLayout.addWidget(self.labelCreateSchedule)
        self.pathCreateSchedule = QtWidgets.QLineEdit(self.centralwidget)
        self.pathCreateSchedule.setEnabled(False)
        self.pathCreateSchedule.setObjectName("pathCreateSchedule")
        self.verticalLayout.addWidget(self.pathCreateSchedule)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.btnDirCreateSchedule = QtWidgets.QPushButton(self.centralwidget)
        self.btnDirCreateSchedule.setObjectName("btnDirCreateSchedule")
        self.horizontalLayout.addWidget(self.btnDirCreateSchedule)
        self.btnCreateSchedule = QtWidgets.QPushButton(self.centralwidget)
        self.btnCreateSchedule.setEnabled(False)
        self.btnCreateSchedule.setObjectName("btnCreateSchedule")
        self.horizontalLayout.addWidget(self.btnCreateSchedule)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.labelOpenSchedule = QtWidgets.QLabel(self.centralwidget)
        self.labelOpenSchedule.setObjectName("labelOpenSchedule")
        self.verticalLayout.addWidget(self.labelOpenSchedule)
        self.pathOpenSchedule = QtWidgets.QLineEdit(self.centralwidget)
        self.pathOpenSchedule.setEnabled(False)
        self.pathOpenSchedule.setObjectName("pathOpenSchedule")
        self.verticalLayout.addWidget(self.pathOpenSchedule)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.btnDirOutputData = QtWidgets.QPushButton(self.centralwidget)
        self.btnDirOutputData.setObjectName("btnDirOutputData")
        self.horizontalLayout_2.addWidget(self.btnDirOutputData)
        self.btnOpenSchedule = QtWidgets.QPushButton(self.centralwidget)
        self.btnOpenSchedule.setEnabled(False)
        self.btnOpenSchedule.setObjectName("btnOpenSchedule")
        self.horizontalLayout_2.addWidget(self.btnOpenSchedule)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Satellite Task Manager"))
        self.labelCreateSchedule.setText(_translate("MainWindow", "Select the path to create the schedule:"))
        self.btnDirCreateSchedule.setText(_translate("MainWindow", "Select a directory"))
        self.btnCreateSchedule.setText(_translate("MainWindow", "Create"))
        self.labelOpenSchedule.setText(_translate("MainWindow", "Select the path to view the schedule:"))
        self.btnDirOutputData.setText(_translate("MainWindow", "Select a directory"))
        self.btnOpenSchedule.setText(_translate("MainWindow", "Open"))
